/***********************************************************
daum(hanmail)
***********************************************************/
var hostString="";
var supportInboxOnly=true;

function init(){
  this.inboxOnly=this.isInboxOnly();
  this.loginData=["https://logins.daum.net/Mail-bin/login.cgi",
                      "id","pw"];
  this.dataURL="http://hmail2.daum.net/hanmailex/Top.daum";                      
  this.mailURL="http://mail.daum.net/hanmail/Index.daum";
  this.mailDomain="mail.+?.daum.net";
}

function process(aHttpChannel, aData) {
  switch(this.stage){
  case ST_LOGIN_RES:
    this.getHtml("http://hmail2.daum.net/hanmailex/Top.daum");
    return false;
  case (ST_LOGIN_RES+1):
    var fnd=aData.match(/goClassic\(/);
    this.isClassic=false;
    if(!fnd){
      this.isClassic=true;
      this.dataURL="http://mail.daum.net/hanmail/Welcome.daum?cid=&msg="
    }
    this.stage=ST_DATA;
    break;
  }
  return this.baseProcess(aHttpChannel, aData);
}

function getCount(aData){
  if(this.isClassic){
    var fnd=aData.match(/\uc548\uc77d\uc740[\s\S]+?>(\d+)<\/a>\s*?\ud1b5/);
    if(fnd){
      return fnd[1];
    }else{
      return -1;
    }
  }else{
    var fnd=aData.match(/folderList:\[([\s\S]+?)\]/);
    if(fnd){
      var num=0;
      var re=/{.+?\'name\':\"(.+?)\".+?\'newCount'\:(\d+)/g;
      var o;
      while ((o = re.exec(fnd[1])) != null){
        if(o[1]=="\\uBCF4\\uB0B8\\uD3B8\\uC9C0\\uD568")continue;
        if(o[1]=="\\uC784\\uC2DC\\uBCF4\\uAD00\\uD568")continue;
        if(o[1]=="\\uC2A4\\uD338\\uD3B8\\uC9C0\\uD568")continue;
        if(o[1]=="\\uD734\\uC9C0\\uD1B5")continue;
        if(o[1]==":\\uC218\\uC2E0\\uD655\\uC778:")continue;
        num+=parseInt(o[2]);
        if(this.inboxOnly){
          while ((o = re.exec(fnd[1])) != null){}
          break;
        }
      }
      return num;
    }else{
      return -1;
    }
  }
}
